# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(gthread-2.0) pkgconfig(gtksourceview-3.0) pkgconfig(libxml-2.0)
# END SourceDeps(oneline)
Name:          gupnp-tools
Version:       0.8.6.1
Release:       alt1_1
Summary:       A collection of dev tools utilising GUPnP and GTK+

Group:         System/Libraries
License:       GPLv2+
URL:           http://www.gupnp.org/
Source0:       http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.xz

BuildRequires: libgupnp-devel
BuildRequires: libgupnp-av-devel
BuildRequires: libgssdp-devel
BuildRequires: libgtk+3-devel
BuildRequires: intltool
BuildRequires: libsoup-devel
BuildRequires: libuuid-devel
BuildRequires: gnome-icon-theme
BuildRequires: desktop-file-utils
Source44: import.info

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-tools is a collection of developer tools utilising GUPnP and GTK+. 
It features a universal control point application as well as a sample 
DimmableLight v1.0 implementation. 

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

%find_lang %{name}
desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-av-cp.desktop

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-network-light.desktop

desktop-file-install --vendor=gupnp \
--delete-original --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gupnp-universal-cp.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING README
%dir %{_datadir}/gupnp-tools/
%dir %{_datadir}/gupnp-tools/pixmaps/
%dir %{_datadir}/gupnp-tools/xml/
%{_bindir}/gssdp-discover
%{_bindir}/gupnp-network-light
%{_bindir}/gupnp-universal-cp
%{_bindir}/gupnp-av-cp
%{_bindir}/gupnp-upload
%{_datadir}/applications/gupnp-av-cp.desktop
%{_datadir}/applications/gupnp-network-light.desktop
%{_datadir}/applications/gupnp-universal-cp.desktop
%{_datadir}/gupnp-tools/pixmaps/*.png
%{_datadir}/gupnp-tools/xml/*.xml
%{_datadir}/gupnp-tools/*.ui

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.6.1-alt1_1
- update to new release by fcimport

* Fri Apr 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.8.6-alt2_1
- rebuild to get rid of unmets

* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.6-alt1_1
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.5-alt1_2
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.8.5-alt1_1
- initial fc import

